////////////////////////////////////////////////////////////////////////////////
//  
//  WeakComponentsClusterer.m
//  
//  KPMultigraph
//  
//  Created by Konstantin Pavlikhin on 08/09/11.
//  
////////////////////////////////////////////////////////////////////////////////

#import "WeakComponentsClusterer.h"

#import "DirectedGraph.h"

#import "ConnectedComponentClusterer.h"

#import "UndirectednessAdapter.h"

@implementation WeakComponentsClusterer

- (NSSet*) clusterGraph: (NSObject<DirectedGraph>*) graph
{
  ConnectedComponentClusterer* clusterer = [ConnectedComponentClusterer clusterer];
  
  return [clusterer clusterGraph: [UndirectednessAdapter adapterWithDirectedGraph: graph]];
}

@end
